
#ifndef DIGIT_7SEGMENT_3DIG_H
#define	DIGIT_7SEGMENT_3DIG_H


//************ 7 segment display **************
#define SRCLK LATA2
#define RCLK LATA1
#define SER LATA0
#define dig1 LATB6
#define dig2 LATB5
#define dig3 LATB4

unsigned int seg_count1=0; //** pocitadlo 7seg z Timer0
unsigned char digit=1; // pomocna promenna pro spinani digitu1-3 
__bit nul;// pomocna pro zabraneni zobrazeni nuly na stovkach a desitkach
__bit povoleni = 0;  

void seg3_print(unsigned int num,unsigned char tecka);
void seg3_send(unsigned char num);
unsigned char num_sel(unsigned char num,unsigned char tecka);
void seg_clear(void);
void seg3_zhav(void);
void seg3_tri_pomlcky(void);


#endif 